---
schema_version: "1"
id: f4bd8158da627f9452a605300682e87121c30a6543c75fd0487f9ef6273c9eda
title: Action Input
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_requests_action_input.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_action_input.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 271211118057c5abc4add2ca3747d8a92bde68c48c8b24b2a41e61f956a95229
description: Get the actions on related lists on a record detail page.
---
# Action Input

Get the actions on related lists on a record detail page.

JSON example

To get information about related list actions on a record detail page, use this request with a request body.

POST /services/data/v68.0/ui-api/actions/record/001R0000003IDlwIAG/related-list

{
  "apiNames": \["New"\],
  "retrievalMode": "All"
}

Properties

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d18491e80">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d18491e83">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d18491e86">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d18491e89">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d18491e92">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d18491e80" data-title="Parameter Name"><samp class="codeph nolang">actionTypes</samp></td>

                  <td class="entry" headers="d18491e83" data-title="Type">String[]</td>

                  <td class="entry" headers="d18491e86" data-title="Description">The action type. One or more of these values: <ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">CustomButton</samp>—A button that opens a URL or
                        Visualforce page or executes JavaScript.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">ProductivityAction</samp>—A pre-defined Salesforce
                        action, attached to a limited set of objects.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">QuickAction</samp>—A global or object-specific
                        action.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">StandardButton</samp>—A pre-defined Salesforce button,
                        such as <strong class="ph uicontrol">New</strong>, <strong class="ph uicontrol">Edit</strong>, and
                        <strong class="ph uicontrol">Delete</strong>.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d18491e89" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d18491e92" data-title="Available Version">57.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d18491e80" data-title="Parameter Name"><samp class="codeph nolang">apiNames</samp></td>

                  <td class="entry" headers="d18491e83" data-title="Type">String[]</td>

                  <td class="entry" headers="d18491e86" data-title="Description">The API names of one or more actions to be retrieved. Use this parameter only when
                    passing <samp class="codeph nolang">retrievalMode=All</samp>. </td>

                  <td class="entry" headers="d18491e89" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d18491e92" data-title="Available Version">57.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d18491e80" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d18491e83" data-title="Type">String</td>

                  <td class="entry" headers="d18491e86" data-title="Description">The layout display size. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—(Default) Use this value to get a layout
                        for desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Use this value to get a layout for
                        tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Use this value to get a layout for phone
                        display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d18491e89" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d18491e92" data-title="Available Version">57.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d18491e80" data-title="Parameter Name"><samp class="codeph nolang">retrievalMode</samp></td>

                  <td class="entry" headers="d18491e83" data-title="Type">String</td>

                  <td class="entry" headers="d18491e86" data-title="Description">When the action context is <samp class="codeph nolang">Record</samp>, this
                    parameter indicates which actions to retrieve from the record page. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">All</samp>—Retrieves all actions specified in the
                        <samp class="codeph nolang">apiNames</samp> parameter.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">PageLayout</samp>—(Default) Retrieves actions from the
                        page layout.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d18491e89" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d18491e92" data-title="Available Version">57.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d18491e80" data-title="Parameter Name"><samp class="codeph nolang">sections</samp></td>

                  <td class="entry" headers="d18491e83" data-title="Type">String[]</td>

                  <td class="entry" headers="d18491e86" data-title="Description">The section of the user interface that the actions reside in. One or more of these
                    values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">ActivityComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">CollaborateComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">Page</samp></li>

                      <li class="li"><samp class="codeph nolang">SingleActionLinks</samp></li>

                    </ul>

                  </td>

                  <td class="entry" headers="d18491e89" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d18491e92" data-title="Available Version">57.0</td>

                </tr>

              </tbody>

            </table>

#### See Also

- [Get Related List Actions with a Request Body](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_related_list_actions_get.htm "Get the actions on related lists for a record detail page. This resource uses the POST method so you can enter request parameters in the request body instead using complex URL parameters.")